edu.isi.pegasus.planner.partitioner

## Interface Callback

All Known Implementing Classes:
  ClustererCallback, WriterCallback

    public interface Callback

This interface defines the callback calls from the partitioners. The partitioners call out to the appropriate callback methods as and when they determine that a partition has been constructed.

Version:
  $Revision$
Author:
  Karan Vahi

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `cbDone()` Callback for the partitioner to signal that it is done with the processing.
`void` `cbParents(java.lang.String child, java.util.List parents)` Callback for when a partitioner determines the relations between partitions that it has previously constructed.
`void` `cbPartition(Partition partition)` Callback for when a partitioner determines that partition has been constructed.

### Method Detail

#### cbPartition

    void cbPartition(Partition partition)

Callback for when a partitioner determines that partition has been constructed.

Parameters:
  `partition` - the constructed partition.

#### cbParents

    void cbParents(java.lang.String child,
                   java.util.List parents)

Callback for when a partitioner determines the relations between partitions that it has previously constructed.

Parameters:
  `child` - the id of a partition.
  `parents` - the list of `String` objects that contain the id's of the parents of the partition.

#### cbDone

    void cbDone()

Callback for the partitioner to signal that it is done with the processing.